(defun C:ToggleColors ()
  (cond ((= 1 (getvar "tilemode"))
(ax:ToggleMsBackground)
(ToggleMsCrosshair)
)
((= 0 (getvar "tilemode"))
(ax:TogglePsBackground)
(TogglePsCrosshair)
)
  )
  (princ)
)
;;
(defun ax:ToggleMSBackground (/ prefDisplay)
  (vl-load-com)
  (setq
    prefDisplay
(vla-get-Display
  (vla-get-Preferences (vlax-get-acad-object))
)
    color (vlax-variant-value
  (vlax-variant-change-type
    (vla-get-GraphicsWinModelBackgrndColor prefDisplay)
    vlax-vbLong
  )
)
  )
  (vla-put-GraphicsWinModelBackgrndColor
    prefDisplay
    (vlax-make-variant
      (if (= color 0) ; 0 ist schwarz
16777215
0 ; 0 ist schwarz
      )
      vlax-vbLong
    )
  )
  (princ)
)
;;
(defun ax:TogglePSBackground (/ prefDisplay)
  (vl-load-com)
  (setq
    prefDisplay
(vla-get-Display
  (vla-get-Preferences (vlax-get-acad-object))
)
    color (vlax-variant-value
  (vlax-variant-change-type
    (vla-get-GraphicsWinLayoutBackgrndColor prefDisplay)
    vlax-vbLong
  )
)
  )
  (vla-put-GraphicsWinLayoutBackgrndColor
    prefDisplay
    (vlax-make-variant
      (if (= color 0) ; wenn er schwarz ist
16777215 ; mach ihn wei
0 ; mach ihn schwarz
      )
      vlax-vbLong
    )
  )
  (princ)
)
;;
(defun ToggleMSCrosshair (/ prefDisplay)
  (vl-load-com)
  (setq
    prefDisplay
(vla-get-Display
  (vla-get-Preferences (vlax-get-acad-object))
)
    color (vlax-variant-value
  (vlax-variant-change-type
    (vla-get-ModelCrosshairColor prefDisplay)
    vlax-vbLong
  )
)
  )
  (vla-put-ModelCrosshairColor
    prefDisplay
    (vlax-make-variant
      (if (= color 0) ; wenn er schwarz ist
16777215 ; mach ihn wei
0 ; mach ihn schwarz
      )
      vlax-vbLong
    )
  )
  (princ)
)
(defun TogglePSCrosshair (/ prefDisplay)
  (vl-load-com)
  (setq
    prefDisplay
(vla-get-Display
  (vla-get-Preferences (vlax-get-acad-object))
)


    color (vlax-variant-value
  (vlax-variant-change-type
    (vla-get-LayoutCrosshairColor prefDisplay)
    vlax-vbLong
  )
)
  )
  (vla-put-LayoutCrosshairColor
    prefDisplay
    (vlax-make-variant
      (if (= color 0) ; wenn er schwarz ist
16777215 ; mach ihn wei
0 ; mach ihn schwarz
      )
      vlax-vbLong
    )
  )
  (princ)
)